package com.bonus.core.allocation.canteen.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("小程序查询食堂档口信息VO")
public class AllocCanteenStallVO {
   @ApiModelProperty("食堂id")
   private Long canteenId;
   @ApiModelProperty("食堂名称")
   private String canteenName;
   @ApiModelProperty("食堂对应档口列表")
   private List<StallVO> stallList;

   public Long getCanteenId() {
      return this.canteenId;
   }

   public String getCanteenName() {
      return this.canteenName;
   }

   public List<StallVO> getStallList() {
      return this.stallList;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setCanteenName(final String canteenName) {
      this.canteenName = canteenName;
   }

   public void setStallList(final List<StallVO> stallList) {
      this.stallList = stallList;
   }

   public static class StallVO {
      @ApiModelProperty("档口id")
      private Long stallId;
      @ApiModelProperty("档口名称")
      private String stallName;

      public Long getStallId() {
         return this.stallId;
      }

      public String getStallName() {
         return this.stallName;
      }

      public void setStallId(final Long stallId) {
         this.stallId = stallId;
      }

      public void setStallName(final String stallName) {
         this.stallName = stallName;
      }

   }
}
